---
title: "Upload a new License."
slug: "upload-a-new-license-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:52Z
canonical: "support.appgate.com/upload-a-new-license-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Upload a new License.
Post/license
Upload a new License and override the existing one.
SecurityHTTPType bearer
Body parameters
License import.
object
Object to import a new license.
licensestring Required
The license file contents for this Controller (with the matching request code).
Responses200
License details.
Expand Allobject maxUsersnumber
The maximum users allowed by the license.
Example200.0
maxPortalUsersnumber
The maximum Portal users allowed by the license.
Example200.0
maxServiceUsersnumber
The maximum Service users allowed by the license.
Example200.0
usersLeaseTimeHoursnumber
Number of hours User Licenses will be reserved for users before they are reclaimable by others.
Example720.0
portalUsersLeaseTimeHoursnumber
Number of hours User Licenses will be reserved for Portal users before they are reclaimable by others.
Example720.0
serviceUsersLeaseTimeHoursnumber
Number of hours User Licenses will be reserved for Service users before they are reclaimable by others.
Example720.0
maxSitesnumber
The maximum sites allowed by the license. If it's the usage details, then it's the amount of sites in the system at present.
Example5.0
maxAccessPoliciesnumber
The maximum access policies allowed by the license. If it's the usage details, then it's the amount of access policies in the system at present.
Example5.0
maxConnectorGroupsnumber
The maximum Connector groups allowed by the license.
Example150.0
riskEngineboolean
Whether the Risk Engine feature is enabled.
applicationDiscoveryboolean
Whether the Application Discovery feature is enabled.
digitalExperienceMonitoringboolean
Whether the Digital Experience Monitoring feature is enabled.
verifiedDnsNamesobject names Array of string
The DNS names allowed by the license.
string
hashes Array of string
The DNS names' hashes allowed by the license.
string
idstring (uuid)
Unique ID for the license.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
versionnumber
License version. There can be only one v1 License in the system, while v2 Licenses can be added as extra.
Example2.0
typenumber
Type of the license. 1: production, 2: installation, 3: test, 4: built-in, 5: aws built-in, 6: metered
Example2.0
requeststring
Request code for the license. If built-in license is in place, use this code to get a license. It's based on the CA certificate.
Example1675ab19fe2
expirationstring (date-time)
The expiration date of the license.
errorstring
Error message if the License is not invalid.
ExampleLicense has expired.
400
JSON error. Check the JSON format.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
422
Request validation error. Check "errors" array for details.
Expand Allobject
Http 422 error for object validation.
idstring
Machine readable error code.
messagestring
Human readable error details.
errors Array of object
List of fields with validation errors.
object fieldstring
Name of the field that failed validation.
Examplename
messagestring
Failure reason.
Examplemay not be null
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.